# Mobile Payouts

## Initiate mobile payout

## Initiate mobile payout

<mark style="color:green;">`POST`</mark> `https://api.chpter.co/v1/payout/mobile-wallet`

#### Headers

| Name                                      | Type   | Description            |
| ----------------------------------------- | ------ | ---------------------- |
| Api-Key<mark style="color:red;">\*</mark> | String | Your chpter Public Key |
| Content-Type                              | String | application/json       |

{% tabs %}
{% tab title="400: Bad Request invalid payload" %}

```json
{
    "message": "invalid payload",
    "success": false,
    "status": 400
}
```

{% endtab %}

{% tab title="200: OK payout initiated" %}

```
{
    "message": "payout initiated",
    "success": false,
    "status": 200
}
```

{% endtab %}

{% tab title="401: Unauthorized merchant not activated" %}

```json
{
    "message": "merchant not activated. please contact support@chpter.co ",
    "success": false,
    "status": 401
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**Good to know:** This API uses webhooks to notify you of the payout status through the callback url.&#x20;
{% endhint %}

#### Quick view

{% tabs %}
{% tab title="API Body" %}

```json
{
	"client_details": {
		"full_name": "John Doe",
		"phone_number": "254700123123",
		"email": "johndoe@mail.com"
	},
	"destination_details": {
		"country_code": "KE",
		"mobile_number": "254700123123",
		"wallet_type": "mpesa"
	},
	"transfer_details": {
		"currency_code": "KES",
		"amount": 100.25
	},
	"callback_details": {
		 "notify_customer": true,
		"payout_reference": "DEF456",
		"callback_url": "https://example.com/callback"
	}
}
```

{% endtab %}

{% tab title="Successfull Callback Response" %}

```json
{
    "message": "Success",
    "success": true,
    "status": 200,
    "amount": 100,
    "currency": "KES",
    "payout_reference": "ABCD123",
}
```

{% endtab %}

{% tab title="Failed Callback Response" %}

```json
{
    "message": "Payout failed contact support@chpter.co",
    "success": false,
    "status": 200,
    "payout_reference": "ABCD123",
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://chpter.gitbook.io/chpter-3.0-public-api-reference/api-reference/payouts/mobile-payouts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
